ReferenceProduct
Update supplier terms
Replaces one supplier's purchasing terms for this product and returns the stored row. Requires `Permissions.Product.Update`.
PUT
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerFormat
int32supplierInfoId*integerFormat
int32application/json- body
One supplier's purchasing terms for a product, such as purchase price and lead time.
countryOfDispatch?|Format
int32deliveryTime?|Format
int32guid?|Format
guidid?|Format
int32isMain?boolean|nulllastModify?|Format
date-timelastPurchasePrice?|Format
decimallastPurchasePriceCurrencyId?|Format
int32lastPurchasePriceForeignCurrency?|Format
decimalminQuantityToOrder?|Format
decimalminimalShelfLife?|Format
int32productId?integerFormat
int32productName?|Length
length <= 80promoFromDate?|Format
date-timepromoPurchasePrice?|Format
decimalpromoPurchasePriceForeignCurrency?|Format
decimalpromoPurchasePriceForeignCurrencyId?|Format
int32promoToDate?|Format
date-timeshelfLife?|Format
int32supplierId?|Format
int32supplierProductCode?|Length
length <= 50unitId?|Format
int32unitsInPackage?|Format
decimalwarranty?|Format
int32application/json- response
One supplier's purchasing terms for a product, such as purchase price and lead time.
countryOfDispatch?|Format
int32deliveryTime?|Format
int32guid?|Format
guidid?|Format
int32isMain?boolean|nulllastModify?|Format
date-timelastPurchasePrice?|Format
decimallastPurchasePriceCurrencyId?|Format
int32lastPurchasePriceForeignCurrency?|Format
decimalminQuantityToOrder?|Format
decimalminimalShelfLife?|Format
int32productId?integerFormat
int32productName?|Length
length <= 80promoFromDate?|Format
date-timepromoPurchasePrice?|Format
decimalpromoPurchasePriceForeignCurrency?|Format
decimalpromoPurchasePriceForeignCurrencyId?|Format
int32promoToDate?|Format
date-timeshelfLife?|Format
int32supplierId?|Format
int32supplierProductCode?|Length
length <= 50unitId?|Format
int32unitsInPackage?|Format
decimalwarranty?|Format
int32curl -X PUT 'https://<your-instance>/api/products/0/suppliers-infos/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "countryOfDispatch": 2, "deliveryTime": 3, "id": 45, "isMain": false, "minQuantityToOrder": 50, "minimalShelfLife": 90, "productId": 123, "productName": "Updated Supplier Product Name", "promoFromDate": "2025-06-01T00:00:00", "promoPurchasePrice": 89, "promoPurchasePriceForeignCurrency": 95, "promoPurchasePriceForeignCurrencyId": 3, "promoToDate": "2026-05-31T00:00:00", "shelfLife": 730, "supplierProductCode": "SUP-PRD-002", "unitId": 2, "unitsInPackage": 24, "warranty": 36}'{ "countryOfDispatch": 0, "deliveryTime": 0, "guid": "string", "id": 0, "isMain": true, "lastModify": "2019-08-24T14:15:22Z", "lastPurchasePrice": 0, "lastPurchasePriceCurrencyId": 0, "lastPurchasePriceForeignCurrency": 0, "minQuantityToOrder": 0, "minimalShelfLife": 0, "productId": 0, "productName": "string", "promoFromDate": "2019-08-24T14:15:22Z", "promoPurchasePrice": 0, "promoPurchasePriceForeignCurrency": 0, "promoPurchasePriceForeignCurrencyId": 0, "promoToDate": "2019-08-24T14:15:22Z", "shelfLife": 0, "supplierId": 0, "supplierProductCode": "string", "unitId": 0, "unitsInPackage": 0, "warranty": 0}